$!++
$! compile sources in the [.PARSER] subdirectory -- 27-OCT-1996 Uwe Zessin
$! The resulting .EXE is for the DCL environment.
$! Unsupported/ unneeded components are listed, but disabled via comment.
$!
$! 10-AUG-1997 - rewrite to allow compilation of a single module
$!		 (pass via P1)
$!
$! P1 = modulename or "" (all modules including new .OLB)
$!--
$ _SRC = P1
$ _DEFAULT = F$ENVIRONMENT("DEFAULT")
$ on ERROR then $ goto PROC_EXIT
$!
$ _PROCEDURE = F$ENVIRONMENT("PROCEDURE")
$ _DEVICE    = F$PARSE(_PROCEDURE,,,"DEVICE")
$ _DIRECTORY = F$PARSE(_PROCEDURE,,,"DIRECTORY")
$!
$ set DEFAULT '_DEVICE''_DIRECTORY'	! [.VMS]
$ set DEFAULT [-.PARSER]
$!
$ if (F$GETSYI("HW_MODEL").GE.1024)
$ then
$   _ARCH = "ALPHA"
$ else
$   _ARCH = "VAX"
$ endif
$ _OBJDIR = "[-.VMS.O_''_ARCH'.PARSER]"
$ _OLBDIR = "[-.VMS.O_''_ARCH']"
$ _OLBFIL = _OLBDIR + "PARSER.OLB"
$!
$ if (_SRC .eqs. "")
$ then
$   library /create /log '_OLBFIL'
$ else
$   _SRC = F$PARSE(_SRC,,,"NAME")	! extract module name
$   if (_SRC .nes. "")
$   then
$	call CC_LIBR '_SRC'
$	goto PROC_EXIT		! module compiled, done
$   endif
$ endif
$!
$ C_ = "call CC_LIBR"
$!
$   C_ acceler
$   C_ bitset
$   C_ firstsets
$   C_ grammar
$   C_ grammar1
$!  C_ intrcheck    	! functionality also in signalmodule
$   C_ listnode
$   C_ metagrammar
$!  C_ myreadline	! replaced by PYVMS_READLINE.C
$   C_ node
$   C_ parser
$   C_ parsetok
$   C_ pgen
$   C_ pgenmain     	! don't put in library!
$   C_ printgrammar 
$   C_ tokenizer    
$!
$PROC_EXIT:
$ set DEFAULT '_DEFAULT'
$ exit
$! ----------------------------------------
$CC_LIBR: SUBROUTINE
$!+
$! - P1 = module name
$!-
$! -- don't put these module(s) into the object library
$ if (P1 .eqs. "PGENMAIN")
$ then
$   _OLBFIL = ""
$ endif
$!
$ @[-.VMS]DCC 'P1' '_OBJDIR' '_OLBFIL'
$!
$ ENDSUBROUTINE ! CC_LIBR: 
