$!+
$! CVT__RNO.COM
$! convert .RNO files to .MEM, :LNI, .TXT files.
$! Uses: RUNOFF, EDT
$! procedure is called from CVT_DOC.COM
$!
$! this version is used to build the 'getting started guide'
$!-
$ _DEFAULT = F$ENVIRONMENT("DEFAULT")
$ _PROCEDURE = F$ENVIRONMENT("PROCEDURE")
$ _DEV = F$PARSE(_PROCEDURE,,,"DEVICE")
$ _DIR = F$PARSE(_PROCEDURE,,,"DIRECTORY")
$ set DEFAULT '_DEV''_DIR'		! = [.VMS.DOC.REFMAN]
$ set DEFAULT [--.TOOLS]		! = [.VMS.TOOLS]
$ _TOOLS = F$ENVIRONMENT("DEFAULT")
$!
$ set default '_DEV''_DIR'		! = [.VMS.DOC.REFMAN]
$!
$!
$ copy PYVMSSTARTGDE.RN PYVMSSTARTGDE.RNO
$!
$!
$ write SYS$ERROR "%CVT__RNO-I-CREINTMED, creating intermediate file"
$ on WARNING then $ continue
$ runoff /INTERMEDIATE /noOUTPUT  PYVMSSTARTGDE.RNO ! -> PYVMSSTARTGDE.BRN
$ write SYS$ERROR "%CVT__RNO-I-CRETOC, creating table of contents"
$ on WARNING then $ continue
$ runoff /CONTENTS  PYVMSSTARTGDE.BRN               ! -> PYVMSSTARTGDE.RNT
$ write SYS$ERROR "%CVT__RNO-I-CREIDX, creating index"
$ on WARNING then $ continue
$ runoff /INDEX     PYVMSSTARTGDE.BRN               ! -> PYVMSSTARTGDE.RNX
$!
$ write SYS$ERROR "%CVT__RNO-I-CREMEM, creating final .MEM file"
$ on WARNING then $ continue
$ runoff /bold=1 /right=2 PYVMSSTARTGDE /form_size=200 ! -> PYVMSSTARTGDE.MEM
$!					! force <FF>
$!
$ write SYS$ERROR "%CVT__RNO-I-CVTTXT, converting .MEM to .TXT file"
$ edit /edt /command= SYS$INPUT: PYVMSSTARTGDE.MEM /OUTPUT= PYVMSSTARTGDE-TXT.TMP
! remove all <CR><LF> from the file
! after that remove all files containing a single <CR>
!  which is for line-printer bolding
substitute/
//%whole/notype
delete all '
'
exit
$! -- re-apply CR-attributes so one can $TYPE or print it.
$ convert /FDL= '_TOOLS'TXT.FDL PYVMSSTARTGDE-TXT.TMP PYVMSSTARTGDE.TXT
$ delete PYVMSSTARTGDE-TXT.TMP;*
$!
$ write SYS$ERROR "%CVT__RNO-I-CRELNI, creating final .LNI file"
$ on WARNING then $ continue
$ runoff /device=LN03 /right=5 PYVMSSTARTGDE /form_size=200 ! -> PYVMSSTARTGDE.LNI
$!					! force <FF>
$ edit /edt /command= SYS$INPUT: PYVMSSTARTGDE.LNI
! Delete some escape sequences from begin of file.
! <CSI>7 I
! <CSI>11h
! <CSI>?20 J
! <CSI>10000t
! <CSI>1;10000r
! <CSI>1;65536s
! <CSI>0d
! I have no idea what they do and I have never bothered to find out...
!
DELETE 1:7
EXIT
$!
$! delete PYVMSSTARTGDE.LNI;-1
$!
$ write SYS$ERROR "%CVT__RNO-I-DONE, RNO translation completed"
