$!+
$! CVT__HTML.COM
$! convert .HTML files to .RNO files.
$! Uses: [.VMS]PYTHON_arch.EXE + [.VMS.TOOLS]HTML2RNO.PY
$! procedure is called from CVT_DOC.COM
$! no special error checking (e.g. empty .HTML files) !
$!
$! 06-FEB-1999 ZE. -- procedure moved to [.VMS.TOOLS] to be used by multiple
$!			manuals
$!-
$ _DEFAULT = F$ENVIRONMENT("DEFAULT")
$ _PROCEDURE = F$ENVIRONMENT("PROCEDURE")
$ _DEV = F$PARSE(_PROCEDURE,,,"DEVICE")
$ _DIR = F$PARSE(_PROCEDURE,,,"DIRECTORY")
$ set default '_DEV''_DIR'		! = [.VMS.TOOLS]
$ _TOOLS = F$ENVIRONMENT("DEFAULT")
$ set default [-]			! = [.VMS]
$ _VMS = F$ENVIRONMENT("DEFAULT")
$ if ("''PYTHON'" .eqs. "")
$ then
$   @ '_VMS'SETUP
$ endif
$ set default '_DEFAULT'		! back to docu directory
$!
$ close /noLOG FIL_INP
$! ----------------------------------------------------------------------------
$ set DEFAULT []	! force directory delimiters
$ F = F$SEARCH("",1)	! clear context !! WARNING! this procedure uses
$ F = F$SEARCH("",2)	! clear context !!   TWO search streams
$ CVT_COUNT = 0
$!
$LOOP:
$ F = F$SEARCH("*.HTML;",1)
$ if (F .eqs. "") then $ goto E
$!
$ _NAME      = F$PARSE(F,,,"NAME")
$ _FILE_HTML = F
$ _FILE_RNO  = _NAME + ".RNO"
$!
$ open /read FIL_INP '_FILE_HTML'
$ read  FIL_INP T_RECORD
$ close FIL_INP
$ if (F$LOCATE("<RNO NOCONVERT>",T_RECORD) .ne. F$LENGTH(T_RECORD))
$ then
$   write SYS$ERROR "%CVT__HTML-W-CVTREJ, file conversion rejected due to <RNO NOCONVERT>"
$   write SYS$ERROR " \", F, "\"
$   goto LOOP
$ endif
$!
$ CDT_HTML = F$CVTIME (F$FILE_ATTRIBUTES(_FILE_HTML,"CDT"), "COMPARISON","DATETIME")
$ if (F$SEARCH(_FILE_RNO,2) .eqs. "")
$ then
$   CDT_RNO = "1858-11-17 00:00:00.00"	! never translated before
$ else
$   CDT_RNO = F$CVTIME (F$FILE_ATTRIBUTES(_FILE_RNO,"CDT"), "COMPARISON","DATETIME")
$ endif
$!
$ if (CDT_HTML .gts. CDT_RNO)
$ then
$   write SYS$ERROR "%CVT__HTML-I-CVTFIL, converting file"
$   write SYS$ERROR " \", _FILE_HTML, "\"
$   define /user_mode SYS$OUTPUT '_FILE_RNO'
$   python '_TOOLS'HTML2RNO.PY '_FILE_HTML'
$   CVT_COUNT = CVT_COUNT + 1
$ else
$   write SYS$ERROR "%CVT__HTML-I-NOCVT, converting not necessary for file"
$   write SYS$ERROR " \", _FILE_HTML, "\"
$ endif
$!
$ goto LOOP
$! ----------------------------------------
$E:
$  write SYS$ERROR "%CVT__HTML-I-CVTCNT, converted ''CVT_COUNT' files"
$ set DEFAULT '_DEFAULT'
